use crate::wide4::f32x4;

/// An affine transform with precomputed data for performing reverse
/// transforms, among other things.
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct TransformDual {
    pub(crate) m: [f32x4; 3],     // Linear matrix.
    pub(crate) m_inv: [f32x4; 3], // Inverse of linear matrix.
    pub(crate) t: f32x4,          // Forward translation.
}
